<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="f3dc306b-945b-4d8f-8769-bc472ec43591" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DjangoConsoleOptions" custom-start-script="import sys; print('Python %s on %s' % (sys.version, sys.platform))&#10;import django; print('Django %s' % django.get_version())&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;if 'setup' in dir(django): django.setup()&#10;import django_manage_shell; django_manage_shell.run(PROJECT_ROOT)">
    <option name="myCustomStartScript" value="import sys; print('Python %s on %s' % (sys.version, sys.platform))&#10;import django; print('Django %s' % django.get_version())&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;if 'setup' in dir(django): django.setup()&#10;import django_manage_shell; django_manage_shell.run(PROJECT_ROOT)" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="ProjectId" id="1ZlxVqTgRXPsXuebULooTjpEALU" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="restartRequiresConfirmation" value="false" />
    <property name="settings.editor.selected.configurable" value="preferences.redisPlugin" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/mysite" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/chat/templates" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="mysite" type="Python.DjangoServer" factoryName="Django server">
      <module name="mysite" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
        <env name="DJANGO_SETTINGS_MODULE" value="mysite.settings" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="launchJavascriptDebuger" value="false" />
      <option name="port" value="8000" />
      <option name="host" value="" />
      <option name="additionalOptions" value="" />
      <option name="browserUrl" value="" />
      <option name="runTestServer" value="false" />
      <option name="runNoReload" value="false" />
      <option name="useCustomRunCommand" value="false" />
      <option name="customRunCommand" value="" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f3dc306b-945b-4d8f-8769-bc472ec43591" name="Default Changelist" comment="" />
      <created>1585427508250</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1585427508250</updated>
      <workItem from="1585427509335" duration="4020000" />
    </task>
    <task id="LOCAL-00001" summary="a">
      <created>1585431627456</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1585431627456</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="a" />
    <option name="LAST_COMMIT_MESSAGE" value="a" />
  </component>
  <component name="WindowStateProjectService">
    <state x="421" y="108" key="CommitChangelistDialog2" timestamp="1585431627198">
      <screen x="0" y="23" width="1680" height="961" />
    </state>
    <state x="421" y="108" key="CommitChangelistDialog2/-159.-1057.1920.1057/0.23.1680.961@0.23.1680.961" timestamp="1585431627198" />
    <state x="627" y="266" key="FileChooserDialogImpl" timestamp="1585427570793">
      <screen x="0" y="23" width="1680" height="961" />
    </state>
    <state x="627" y="266" key="FileChooserDialogImpl/-159.-1057.1920.1057/0.23.1680.961@0.23.1680.961" timestamp="1585427570793" />
    <state width="1638" height="258" key="GridCell.Tab.0.bottom" timestamp="1585431699102">
      <screen x="0" y="23" width="1680" height="961" />
    </state>
    <state width="1638" height="258" key="GridCell.Tab.0.bottom/-159.-1057.1920.1057/0.23.1680.960@0.23.1680.960" timestamp="1585431143965" />
    <state width="1638" height="258" key="GridCell.Tab.0.bottom/-159.-1057.1920.1057/0.23.1680.961@0.23.1680.961" timestamp="1585431699102" />
    <state width="1638" height="258" key="GridCell.Tab.0.center" timestamp="1585431699101">
      <screen x="0" y="23" width="1680" height="961" />
    </state>
    <state width="1638" height="258" key="GridCell.Tab.0.center/-159.-1057.1920.1057/0.23.1680.960@0.23.1680.960" timestamp="1585431143963" />
    <state width="1638" height="258" key="GridCell.Tab.0.center/-159.-1057.1920.1057/0.23.1680.961@0.23.1680.961" timestamp="1585431699101" />
    <state width="1638" height="258" key="GridCell.Tab.0.left" timestamp="1585431699101">
      <screen x="0" y="23" width="1680" height="961" />
    </state>
    <state width="1638" height="258" key="GridCell.Tab.0.left/-159.-1057.1920.1057/0.23.1680.960@0.23.1680.960" timestamp="1585431143963" />
    <state width="1638" height="258" key="GridCell.Tab.0.left/-159.-1057.1920.1057/0.23.1680.961@0.23.1680.961" timestamp="1585431699101" />
    <state width="1638" height="258" key="GridCell.Tab.0.right" timestamp="1585431699102">
      <screen x="0" y="23" width="1680" height="961" />
    </state>
    <state width="1638" height="258" key="GridCell.Tab.0.right/-159.-1057.1920.1057/0.23.1680.960@0.23.1680.960" timestamp="1585431143964" />
    <state width="1638" height="258" key="GridCell.Tab.0.right/-159.-1057.1920.1057/0.23.1680.961@0.23.1680.961" timestamp="1585431699102" />
    <state x="341" y="142" key="SettingsEditor" timestamp="1585430409830">
      <screen x="0" y="23" width="1680" height="960" />
    </state>
    <state x="341" y="142" key="SettingsEditor/-159.-1057.1920.1057/0.23.1680.960@0.23.1680.960" timestamp="1585430409830" />
    <state x="341" y="142" key="SettingsEditor/-159.-1057.1920.1057/0.23.1680.961@0.23.1680.961" timestamp="1585427579427" />
    <state x="440" y="244" key="Vcs.Push.Dialog.v2" timestamp="1585431631082">
      <screen x="0" y="23" width="1680" height="961" />
    </state>
    <state x="440" y="244" key="Vcs.Push.Dialog.v2/-159.-1057.1920.1057/0.23.1680.961@0.23.1680.961" timestamp="1585431631082" />
  </component>
</project>